﻿//Translation for major components. Originally by Junesiphone, modified by Evelyn (@ev_ynw)//

var LangChecker = window.config.Lang;
//var LangChecker = "1";

//English
if (LangChecker == "1") {
    var days = ["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];
    var shortdays = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
    var months=["January","February","March","April","May","June","July","August","September","October","November","December"];
    var shortmonths = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
    var hourtext = ["Twelve", "One", "Two", "Three", "Four", "Five", "Six", "Seven", "Eight", "Nine", "Ten", "Eleven", "Twelve", "One", "Two", "Three", "Four", "Five", "Six", "Seven", "Eight", "Nine", "Ten", "Eleven", "Twelve"];
    var weatherdesc = ["Tornado", "Tropical Storm", "Hurricane", "Thunderstorm", "Thunderstorm", "Snow", "Sleet", "Sleet", "Freezing Drizzle", "Drizzle", "Freezing Rain", "Showers", "Showers", "Flurries", "Snow", "Snow", "Snow", "Hail", "Sleet", "Dust", "Fog", "Haze", "Smoky", "Blustery", "Windy", "Cold", "Cloudy", "Cloudy", "Cloudy", "Cloudy", "Cloudy", "Clear", "Sunny", "Fair", "Fair", "Sleet", "Hot", "Thunderstorms", "Thunderstorms", "Thunderstorms", "Showers", "Heavy Snow", "Light Snow", "Heavy Snow", "Partly Cloudy", "Thunderstorm", "Snow", "Thunderstorm", "blank"];
}

//Spanish
if (LangChecker == "2") {
    var days = ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"];
    var months = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"];
    var shortmonths = ["Ene", "Feb", "Mar", "Abr", "Mayo", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dic"];
    var shortdays = ["Sol", "Mon", "Mar", "Mie", "Jue", "Vie", "Sat"];
    var hourtext = ["doce", "una", "dos", "tres", "cuatro", "cinco", "seis", "siete", "ocho", "nueve", "diez", "once", "doce", "una", "dos", "tres", "cuatro", "cinco", "seis", "siete", "ocho", "nueve", "diez", "once", "doce"];
    var weatherdesc = ["Tornado", "Tormenta Tropical", "Huracan", "Tormentas Electricas Severas", "Tormentas Electricas", "Mezcla de Lluvia y Nieve", "Mezcla de lluvia y aguanieve", "Mezcla de nieve y aguaniev", "Llovizna helada", "Llovizna", "Lluvia bajo cero", "Chubascos", "Chubascos", "Rafagas de nieve", "Ligeras precipitaciones de nieve", "Viento y nieve", "Nieve", "Granizo", "Aguanieve", "Polvareda", "Neblina", "Bruma", "Humeado", "Tempestuoso", "Vientoso", "Frio", "Nublado ", "Mayormente nublado", "Mayormente nublado", "despejado", "despejado", "Despejado", "Soleado", "Lindo", "Lindo", "Mezcla de lluvia y granizo", "Caluroso", "Tormentas electricas aisladas", "Tormentas electricas dispersas", "Tormentas electricas dispersas", "Chubascos dispersos", "Nieve fuerte", "Precipitaciones de nieve dispersas", "Nieve fuerte", "despejado", "Lluvia con truenos y relampagos", "Precipitaciones de nieve", "Tormentas aisladas", "No disponible"];
}

//French
if (LangChecker == "3") {
    var days = ["Dimanche", "Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi"];
    var months = ["Janvie", "Février", "Mars", "Avril", "Mai", "Juin", "Juillet", "Août", "Septembre", "Octobre", "Novembre", "Décembre"];
    var shortmonths = ["Jan", "Fév", "Mar", "Avr", "Mai", "Jui", "Jui", "Aoû", "Sep", "Oct", "Nov", "Déc"];
    var shortdays = ["Dim", "Lun", "Mar", "Mer", "Jeu", "Ven", "Sam"];
    var hourtext = ["minuit", "une", "deux", "trois", "quatre", "cinq", "six", "sept", "huit", "neuf", "dix", "onze", "midi", "une", "deux", "trois", "quatre", "cinq", "six", "sept", "huit", "neuf", "dix", "onze", "minuit"];
    var weatherdesc = ["Tornade", "Tropical", "Ouragan", "Orages Violents", "Orages", "Pluie", "Pluie", "Neige", "Bruine", "Bruine", "Pluie", "Averses", "Averses", "Quelques Flocons", "Faibles Chutes de Neige", "Rafales de Neige", "Neige", "GrÃƒÂªle", "Neige Fondue", "PoussiÃƒÂ©reux", "Brouillard", "Brume", "Brumeux", "TempÃƒÂªte", "Vent", "Temps Froid", "Temps Nuageux ", "TrÃƒÂ¨s Nuageux", "TrÃƒÂ¨s Nuageux", "Nuageux", "Nuageux", "Temps Clair", "Ensoleille", "Beau Temps", "Beau Temps", "Pluie et GrÃƒÂªles", "Temps Chaud", "Orages IsolÃƒÂ©s", "Orages Eparses", "Orages Eparses", "Averses Eparses", "Fortes Chutes de Neige", "Chutes de Neige Eparses", "Fortes Chutes de Neige", "Nuageux", "Orages", "Chute de Neige", "Orages IsolÃƒÂ©s", "Non Disponible"];
}

//German
if (LangChecker == "4") {
    var days = ["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"];
    var months = ["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"];
    var shortmonths = ["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"];
    var shortdays = ["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"];
    var hourtext = ["null", "ein", "zwei", "drei", "vier", "fünf", "sechs", "sieben", "acht", "neun", "zehn", "elf", "zwölf", "dreizehn", "vierzehn", "fünfzehn", "sechzehn", "siebzehn", "achtzehn", "neunzehn", "zwanzig", "einundzwanzig", "zweiundzwanzig", "dreiundzwanzig", "null"];
    var weatherdesc = ["Tornado", "Tropischer Sturm", "Wirbelsturm", "Schwere Gewitter", "Gewitter", "Regen und Schnee", "Graupelschauer", "Schneeregen", "Gefrierender Nieselregen", "Nieselregen", "Gefrierender Regen", "Schauer", "Schauer", "Schneegestöber", "Leichte Schneeschauer", "Schneetreiben", "Schnee", "Hagel", "Schneeregen", "Staubig", "Nebelig", "Dunstschleier", "Dunstig", "Stürmisch", "Windig", "Kalt", "Bewölkt", "Meist Bewölkt", "Meist Bewölkt", "Bewölkt", "Bewölkt", "Klar", "Sonnig", "Heiter", "Heiter", "Regen und Hagel", "Heiss", "Örtliche Gewitter", "Vereinzelte Gewitter", "Vereinzelte Gewitter", "Vereinzelte Schauer", "Starker Schneefall", "Vereinzelte Schneeschauer", "Starker Schneefall", "Bewölkt", "Gewitter", "Scheeschauer", "Örtliche Gewitterschauer", "Nicht Verfügbar"];
}

//Italian
if (LangChecker == "5") {
    var days = ["Domenica", "Lunedi", "Martedì", "Mercoledì", "Giovedi", "Venerdì", "Sabato"];
    var months = ["Gennaio", "Febbraio", "Marzo", "Aprile", "Maggio", "Giugno", "Luglio", "Agosto", "Settembre", "Ottobre", "Novembre", "Dicembre"];
    var shortmonths = ["Gen", "Feb", "Mar", "Apr", "Mag", "Giu", "Lug", "Ago", "Set", "Ott", "Nov", "Dic"];
    var shortdays = ["Sun", "Mon", "Mar", "Mer", "Gio", "Ven", "Sat"];
    var hourtext = ["Dodici", "Uno", "Due", "Tre", "Quattro", "Cinque", "Sei", "Sette", "Otto", "Nove", "Dieci", "Undici", " Dodici", "Uno", "Due", "Tre", "Quattro", "Cinque", "Sei", "Sette", "Otto", "Nove", "Dieci", "Undici", "Dodici"];
    var weatherdesc = ["Tornado", "Tempesta Tropicale", "Uragano", "Temporali Forti", "Temporali", "Pioggia mista a Neve", "Nevischio", "Nevischio", "Pioggia Gelata", "Pioggerella", "Pioggia Ghiacciata", "Pioggia", "Pioggia", "Neve a Raffiche", "Neve Leggera", "Tempesta di Neve", "Neve", "Grandine", "Nevischio", "Irregolare", "Nebbia", "Foschia", "Fumoso", "Raffiche di Vento", "Ventoso", "Freddo", "Nuvoloso", "Molto Nuvoloso", "Molto Nuvoloso", "Nuvoloso", "Nuvoloso", "Sereno", "Sereno", "Bel Tempo", "Bel Tempo", "Pioggia e Grandine", "Caldo", "Temporali Isolati", "Temporali Sparsi", "Temporali Sparsi", "Rovesci Sparsi", "Neve Forte", "Nevicate Sparse", "Neve Forte", "Nuvoloso", "Rovesci Temporaleschi", "Rovesci di Neve", "Temporali isolati", "Non Disponibile"];
}

//Dutch
if (LangChecker == "6") {
    var days = ["Zondag", "Maandag", "Dinsdag", "Woensdag", "Donderdag", "Vrijdag", "Zaterdag"];
    var shortdays = ["Zon", "Maa", "Din", "Woe", "Don", "Vri", "Zat"];
    var months = ["Januari", "Februari", "Maart", "April", "Mei", "Juni", "Juli", "Augustus", "September", "Oktober", "November", "December"];
    var shortmonths = ["Jan", "Feb", "Maa", "Apr", "Mei", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dec"];
    var hourtext = ["Twaalf", "Een", "Twee", "Drie", "Vier", "Vijf", "Zes", "Zeven", "Acht", "Negen", "Tien", "Elf", " Twaalf", "Een", "Twee", "Drie", "Vier", "Vijf", "Zes", "Zeven", "Acht", "Negen", "Tien", "Elf", "Twaalf"];
    var weatherdesc = ["Tornado", "Tropische Storm", "Wervelwind", "Zware Onweersbuien", "Onweersbuien", "Regen en Sneeuw", "Regen en Ijzel", "Sneeuw en Ijzel", "Bevriezende Motregen", "Motregen", "Ijzel", "Buien", "Buien", "Sneeuwvlagen", "Lichte Sneeuwbuien", "Sneeuw Drift", "Sneeuw", "Hagel", "Ijzel", "Stoffig", "Mistig", "Wazig", "Wazig", "Stormachtig", "Winderig", "Koud", "Bewolkt ", "Algemeen Bewolkt", "Algemeen Bewolkt", "Gedeeltelijk Bewolkt", "Gedeeltelijk Bewolkt", "Helder", "Zonnig", "Bewolkt Weer", "Bewolkt Weer", "Regen en Hagel", "Heet", "Geisoleerde Onweersbuien", "Verspreide Onweersbuien", "Verspreide Onweersbuien", "Verspreide Buien", "Zware Sneeuw", "Verspreide Sneeuwbuien", "Zware Sneeuw", "Gedeeltelijk Bewolkt", "Onweersbuien", "Sneeuwbuien", "Geisoleerde Onweersbuien", "Niet Beschikbaar"];
}

//Czech
if (LangChecker == "7") {
    var days = ["Neděle", "Pondělí", "Úterý", "Středa", "Čtvrtek", "Pátek", "Sobota"];
    var months = ["Leden", "Únor", "Březen", "Duben", "Květen", "Červen", "Červenec", "Srpen", "Září", "Říjen", "Listopad", "Prosinec"];
    var shortmonths = ["Led", "Úno", "Bře", "Dub", "Kvě", "Čen", "Čec", "Srp", "Zář", "Říj", "Lis", "Pro"];
    var shortdays = ["Ne", "Po", "Út", "St", "Čt", "Pá", "So"];
    var hourtext = ["Dvanáct", "Jedna", "Dva", "Tři", "Čtyři", "Pět", "Šest", "Sedm", "Osm", "Devět", "Deset", "Jedenáct", "Dvanáct", "Jedna", "Dva", "Tři", "Čtyři", "Pět", "Šest", "Sedm", "Osm", "Devět", "Deset", "Jedenáct", "Dvanáct"];
    var weatherdesc = ["Tornádo", "Tropická bouře", "Hurikán", "Bouře", "Bouře", "Sněžení", "Déšť a sníh", "Déšť a sníh", "Mrznoucí mrholení", "Mrholení", "Mrznoucí déšť", "Přeháňky", "Přeháňky", "Poryvy větru", "Sněžení", "Sněžení", "Sněžení", "Kroupy", "Déšť a sníh", "Prach", "Mlhy", "Řídké mlhy", "Kouř", "Větrno s bouřkami", "Větrno", "Chladno", "Oblačno", "Oblačno", "Oblačno", "Oblačno", "Oblačno", "Jasno", "Slunečno", "Krásně", "Krásně", "Déšť a sníh", "Horko", "Bouře", "Bouře", "Bouře", "Přeháňky", "Husté sněžení", "Lehké sněžení", "Husté sněžení", "Polojasno", "Bouře", "Sněžení", "Bouře", "prázdné"];
}

//Russian
if (LangChecker == "8") {
    var days =  ["Воскресенье", "Понедельник", "Вторник", "Среда", "Четверг", "Пятница", "Суббота"];
    var shortdays = ["Вос", "Пон", "Вто", "Сре", "Чет", "Пят", "Суб"];
    var months = ["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"];
    var shortmonths = ["Янв", "Фев", "Мар", "Апр", "Май", "Июн", "Июл", "Авг", "Сен", "Окт", "Ноя", "Дек"];
    var hourtext = ["Двенадцать", "Один", "Два", "Три", "Четыре", "Пять", "Шесть", "Семь", "Восемь", "Девять", "Десять", "Одиннадцать", " Двенадцать", "Один", "Два", "Три", "Четыре", "Пять", "Шесть", "Семь", "Восемь", "Девять", "Десять", "Одиннадцать", "Двенадцать"];
    var weatherdesc = ["Торнадо", "Тропический шторм", "Ураган", "Гроза", "Гроза", "Снег", "Мокрый снег", "Мокрый снег", "Изморозь", "Морось", "Ледяной дождь", "Ливень", "Ливень", "Сильные порывы ветра", "Снег", "Снег", "Снег", "Град", "Мокрый снег", "Пыль", "Туман", "Легкий туман", "Туманно", "Порывисто", "Ветренно", "Холодно", "Облачно", "Облачно", "Облачно", "Облачно", "Облачно", "Ясно", "Солнечно", "Ясно", "Ясно", "Мокрый снег", "Жарко", "Гроза", "Гроза", "Гроза", "Ливень", "Снегопад", "Небольшой снег", "Снегопад", "Переменная облачность", "Гроза", "Снег", "Гроза", "пусто"];
}

//Polish
if (LangChecker == "9") {
    var days = ["Niedziela", "Poniedzialek", "Wtorek", "Sroda", "Czwartek", "Piatek", "Sobota"];
    var shortdays = ["Nie", "Pon", "Wto", "Sro", "Czw", "Pia", "Sob"];
    var months = ["Styczen", "Luty", "Marzec", "Kwiecien", "Maj", "Czerwiec", "Lipiec", "Sierpien", "Wrzesien", "Pazdziernik", "Listopad", "Grudzien"];
    var shortmonths = ["Sty", "Lut", "Mar", "Kwi", "Maj", "Cze", "Lip", "Sie", "Wrz", "Paz", "Lis", "Gru"];
    var hourtext = ["Dwanaście", "Jeden", "Dwa", "Trzy", "Cztery", "Pięć", "Sześć", "Siedem", "Osiem", "Dziewięć", "Dziesięć", "Jedenaście", "Dwanaście", "Jeden", "Dwa", "Trzy", "Cztery", "Pięć", "Sześć", "Siedem", "Osiem", "Dziewięć", "Dziesięć", "Jedenaście", "Dwanaście"];
    var weatherdesc = ["Tornado", "Tropikalna Burza", "Huragan", "Burza Z Piorunami", "Burza Z Piorunami", "Snieg", "Deszcz Ze Sniegiem", "Deszcz Ze Sniegiem", "Zamarzajaca Mzawka", "Mzawka", "Zamarzajacy Deszcz", "Przelotny Deszcz", "Przelotny Deszcz", "Przelotny Deszcz", "Snieg", "Snieg", "Snieg", "Grad", "Deszcz Ze Sniegiem", "Pyl", "Mgla", "Mgla", "Zadymiony", "Wietrznie", "Wietrznie", "Zimno", "Pochmurnie", "Pochmurnie", "Pochmurnie", "Pochmurnie", "Pochmurnie", "Czyste Niebo", "Slonecznie", "Slonecznie", "Slonecznie", "Deszcz Ze Sniegiem", "Cieplo", "Burze z Piorunami", "Burze z Piorunami", "Burze z Piorunami", "Przelotny Deszcz", "Mocny Snieg", "Lekki Snieg", "Mocny Snieg", "Czesciowo Pochmurnie", "Burza Z Piorunami", "Snieg", "Burza Z Piorunami", "puste"];
}

//Portuguese
if (LangChecker == "10") {
    var days = ["Domingo", "Segunda", "Terça", "Quarta", "Quinta", "Sexta", "Sábado"];
    var shortdays = ["Dom", "Seg", "Ter", "Qua", "Qui", "Sex", "Sab"];
    var months = ["Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro"];
    var shortmonths = ["Jan", "Fev", "Mar", "Abr", "Mai", "Jun", "Jul", "Ago", "Set", "Out", "Nov", "Dez"];
    var hourtext = ["Doze", "Um", "Dois", "Três", "Quatro", "Cinco", "Seis", "Sete", "Oito", "Nove", "Dez", "Onze", " Doze", "Um", "Dois", "Três", "Quatro", "Cinco", "Seis", "Sete", "Oito", "Nove", "Dez", "Onze", "Doze"];
    var weatherdesc = ["Tornado", "Tempestade Tropical", "Furacão", "Trovoada", "Trovoada", "Neve", "Chuva com Neve", "Chuva com Neve", "Geada", "Garoa", "Chuva Gélida", "Pancadas de Chuva", "Pancadas de Chuva", "Rajadas", "Neve", "Neve", "Neve", "Granizo", "Chuva Gélida", "Poeira", "Névoa", "Névoa", "Nebuloso", "Vendaval", "Ventando", "Frio", "Nublado", "Nublado", "Nublado", "Nublado", "Nublado", "Céu Limpo", "Ensolarado", "Bom Tempo", "Bom Tempo", "Chuva Gélida", "Quente", "Trovoadas", "Trovoadas", "Trovoadas", "Pancadas de Chuva", "Nevasca Pesada", "Nevasca Leve", "Nevasca Pesada", "Parcialmente Nublado", "Trovoada", "Neve", "Trovoada", "em branco"];
}

//Norwegian
if (LangChecker == "11") {
    var days = ["Søndag", "Mandag", "Tirsdag", "Onsdag", "Torsdag", "Fredag", "Lørdag"];
    var shortdays = ["Søn", "Man", "Tir", "Ons", "Tor", "Fre", "Lør"];
    var months = ["Januar", "Februar", "Mars", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Desember"];
    var shortmonths = ["Jan", "Feb", "Mar", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Des"];
    var hourtext = ["Tolv", "En", "To", "Tre", "Fire", "Fem", "Seks", "Syv", "Åtte", "Ni", "Ti", "Elve", " Tolv", "En", "To", "Tre", "Fire", "Fem", "Seks", "Sju", "Åtte", "Ni", "Ti", "Elve", "Tolv"];
    var weatherdesc = ["Tornado",  "Tropisk Storm", "Orkan", "Kraftige Tordenbyger", "Tordenbyger", "Blandet Regn og Snø", "Blandet Regn og Sludd", "Blandet Snø og Sludd", "Underkjølt Duskregn", "Duskregn", "Underkjølt regn", "Regnbyger", "Regnbyger", "Snøbyger", "Lette Snøbyger", "Snøfokk", "Snø", "Hagl", "Sludd", "Støv", "Tåke", "Dis", "Røykfylt", "Mye Vind", "Vindkuler", "Frost", "Skyet ", "Muligheter For Regn", "Muligheter For Regn", "Delvis Skyet", "Delvis Skyet", "Klart", "Solskinn", "Lettskyet", "Lettskyet", "Blandet Regn og Hagl", "Varmt", "Isolerte Tordenbyger", "Spredte Tordenbyger", "Spredte Tordenbyger", "Spredte Regnbyger", "Kraftig Snøfall", "Spredte Snøbyger", "Kraftig Snøfall", "Delvis Skyet", "Regn og Torden", "Snøbyger", "Isolerte Regn og Torden", "ikke mottak"];
}

//Finnish
if (LangChecker == "12") {
    var days = ["Sunnuntai", "Maanantai", "Tiistai", "Keskiviikko", "Torstai", "Perjantai", "Lauantai"];
    var shortdays = ["Sun", "Maa", "Tii", "Kes", "Tor", "Per", "Lau"];
    var months = ["Tammikuu", "Helmikuu", "Maaliskuu", "Huhtikuu", "Toukokuu", "Kesäkuu", "Heinäkuu", "Elokuu", "Syyskuu", "Lokakuu", "Marraskuu", "Joulukuu"];
    var shortmonths = ["Tam", "Hel", "Maa", "Huh", "Tou", "Kes", "Hei", "Elo", "Syy", "Lok", "Mar", "Jou"];
    var hourtext = ["Kaksitoista", "Yksi", "Kaksi", "Kolme", "Neljä", "Viisi", "Kuusi", "Seitsemän", "Kahdeksan", "Yhdeksän", "Kymmenen", "Yksitoista", " Kaksitoista", "Yksi", "Kaksi", "Kolme", "Neljä", "Viisi", "Kuusi", "Seitsemän", "Kahdeksan", "Yhdeksän", "Kymmenen", "Yksitoista", "Kaksitoista"];
    var weatherdesc = ["Tornaado", "Trooppinen myrsky", "Wervelwind", "Rankkoja ukkoskuuroja", "Ukkosmyrskyj&auml;", "Vesisadetta ja r&auml;nt&auml;&auml;", "Vesi ja r&auml;nt&auml;sadetta", "Lumi ja r&auml;nt&auml;sadetta", "J&auml;&auml;t&auml;v&auml;&auml; tihkusadetta", "Tihkusadetta", "J&auml;&auml;t&auml;v&auml;&auml; sadetta", "Sadekuuroja", "Sadekuuroja", "Lumisadetta", "Heikkoja lumikuuroja", "Lumituisku", "Lumisadetta", "Rakeita", "R&auml;nt&auml;&auml;", "P&ouml;lyist&auml;", "Sumuista", "Utuista", "Utuista", "Ei tietoja", "Tuulista", "kylm&auml;&auml;", "Pilvist&auml;", "Enimm&auml;kseen pilvist&auml;", "Enimm&auml;kseen pilvist&auml;", "Puolipilvist&auml;", "Puolipilvist&auml;", "Selke&auml;&auml;", "Aurinkoista", "Selke&auml;&auml;", "Selke&auml;&auml;", "Vesisadetta ja raekuuroja", "Hellett&auml;", "Paikallisia ukkoskuuroja", "Hajanaisia ukkoskuuroja", "Hajanaisia ukkoskuuroja", "Hajanaisia sadekuuroja", "Rankkaa lumisadetta", "Hajanaisia lumikuuroja", "Rankkaa lumisadetta", "Puolipilvist&auml;", "Ukkoskuuroja", "Lumikuuroja", "Paikallisia ukkoskuuroja", "Ei tietoja"];
}

//Turkish
if (LangChecker == "13") {
    var days = ["Pazar","Pazartesi","Salı","Carsamba","Persembe","Cuma","Cumartesi"];
    var shortdays = ["Pzr", "Pzt", "Salı", "Çar", "Per", "Cum", "Cts"];
    var months=["Ocak","Subat","Mart","Nisan","May","Haziran","Temmuz","Ağustos","Eylül","Ekim","Kasım","Aralık"];
    var shortmonths = ["Ock", "Sub", "Mar", "Nis", "Mayıs", "Haz", "Tem", "Ağu", "Eyl", "Eki", "Kas", "Ara"];
    var hourtext = ["Oniki", "Bir", "İki", "Üç", "Dört", "Beş", "Altı", "Yedi", "Sekiz", "Dokuz", "On", "Onbir", "Oniki", "Bir", "İki", "Üç", "Dört", "Beş", "Altı", "Yedi", "Sekiz", "Dokuz", "On", "Onbir", "Oniki"];
    var weatherdesc = ["Kasırga", "Tropikal Fırtına", "Kasırga", "Gök gürültülü", "Gök gürültülü", "Kar", "Sulu Kar", "Sulu Kar", "Hafif Yağmur", "Hafif Yağış", "Karla karışık", "Sağanak", "Sağanak", "Sağanak", "Kar", "Kar", "Kar", "Kar", "Sulu Kar", "Sisli", "Dumanlı", "Puslu", "Sisli", "Rüzgarlı", "Rüzgarlı", "Buzlu", "Bulutlu", "Bulutlu", "Bulutlu", "Bulutlu", "Bulutlu", "Açık", "Güneşli", "Açık", "Açık", "Sulu Kar", "Sıcak", "Gök gürültülü", "Gök gürültülü", "Gök gürültülü", "Sağanak", "Şiddetli Kar", "Hafif kar", "Şiddetli Kar", "Parçalı Bulutlu", "Gök gürültülü", "Kar", "Gök gürültülü", "blank"];
}

//Chinese (Traditional)
if (LangChecker == "14") {
    var days = ["星期日","星期一","星期二","星期三","星期四","星期五","星期六"];
    var shortdays = ["週日","週一","週二","週三","週四","週五","週六"];
    var months = ['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'];
    var shortmonths = ['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'];
    var hourtext = ["十二時", "一時", "二時", "三時", "四時", "五時", "六時", "七時", "八時", "九時", "十時", "十一時", "十二時", "一時", "二時", "三時", "四時", "五時", "六時", "七時", "八時", "九時", "十時", "十一時", "十二時"];
    var weatherdesc = ["風捲殘雲", "熱帶風暴", "狂風暴雨", "電閃雷鳴", "電閃雷鳴", "雨雪霏霏", "雨雪霏霏", "雨雪紛紛", "寒風冷雨", "蒙蒙細雨", "淒風冷雨", "疾風驟雨", "疾風驟雨", "俄而雪驟", "流風回雪", "狂風暴雪", "大雪紛飛", "天降冰雹", "雨雪霏霏", "飛沙走石", "雲迷霧鎖", "十面霾伏", "煙霧瀰漫", "風起雲湧", "風和日麗", "天寒地凍", "烏雲蔽日", "浮雲蔽日", "浮雲蔽日", "雲淡風輕", "雲淡風輕", "晴空萬里", "陽光明媚", "天朗氣清", "天朗氣清", "冰雹帶雨", "霹靂列缺", "電閃雷鳴", "電閃雷鳴", "急風驟雨", "大雪紛飛", "驟雪初歇", "大雪紛飛", "雲淡風輕", "雷陣雨", "雨雪霏霏", "霹靂列缺", "自行判斷"];
}

//Chinese (Simplified)
if (LangChecker == "15") {
    var days = ["星期日","星期一","星期二","星期三","星期四","星期五","星期六"];
    var shortdays = ["周日","周一","周二","周三","周四","周五","周六"];
    var months = ['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'];
    var shortmonths = ['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月'];
    var hourtext = ["十二时", "一时", "二时", "三时", "四时", "五时", "六时", "七时", "八时", "九时", "十时", "十一时", "十二时", "一时", "二时", "三时", "四时", "五时", "六时", "七时", "八时", "九时", "十时", "十一时", "十二时"];
    var weatherdesc = ["风卷残云", "热带风暴", "狂风暴雨", "电闪雷鸣", "电闪雷鸣", "雨雪霏霏", "雨雪霏霏", "雨雪纷纷", "寒风冷雨", "蒙蒙细雨", "凄风冷雨", "疾风骤雨", "疾风骤雨", "俄而雪骤", "流风回雪", "狂风暴雪", "大雪纷飞", "天降冰雹", "雨雪霏霏", "飞沙走石", "云迷雾锁", "十面霾伏", "烟雾弥漫", "风起云涌", "风和日丽", "天寒地冻", "乌云蔽日", "浮云蔽日", "浮云蔽日", "云淡风轻", "云淡风轻", "晴空万里", "阳光明媚", "天朗气清", "天朗气清", "冰雹带雨", "霹雳列缺", "电闪雷鸣", "电闪雷鸣", "急风骤雨", "大雪纷飞", "骤雪初歇", "大雪纷飞", "云淡风轻", "雷阵雨", "雨雪霏霏", "霹雳列缺", "自行判断"];
}

//Japanese
if (LangChecker == "16") {
    var days = ["日曜日", "月曜日", "火曜日", "水曜日", "木曜日", "金曜日", "土曜日"];
    var shortdays = ["日", "月", "火", "水", "木", "金", "土"];
    var months = ["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"];
    var shortmonths = ["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"];
    var hourtext = ["12時", "1時", "2時", "3時", "4時", "5時", "6時", "7時", "8時", "9時", "10時", "11時", "12時", "1時", "2時", "3時", "4時", "5時", "6時", "7時", "8時", "9時", "10時", "11時", "12時"];
    var weatherdesc = ["竜巻", "熱帯低気圧", "ハリケーン", "雷雨", "雷雨", "雪", "みぞれ", "みぞれ", "着氷性の霧雨", "霧雨", "着氷性の雨", "にわか雨", "にわか雨", "風花", "雪", "雪", "雪", "あられ", "みぞれ", "ほこり", "霧", "もや", "スモーキー", "激しい風", "風", "冷", "曇り", "曇り", "曇り", "曇り", "曇り", "晴れ", "晴れ", "晴れ", "晴れ", "みぞれ", "暑い", "雷雨", "雷雨", "雷雨", "雨脚", "大雪", "小雪", "大雪", "晴れときどき曇り", "雷雨", "雪", "雷雨", "未記入"];
}

//Korean
if (LangChecker == "17") {
    var days = ["일요일", "월요일", "화요일", "수요일", "목요일", "금요일", "토요일"];
    var shortdays = ["일", "월", "화", "수", "목", "금", "토"];
    var months = ["1월", "2월", "3월", "4월", "5월", "6월", "7월", "8월", "9월", "10월", "11월", "12월"];
    var shortmonths = ["1월", "2월", "3월", "4월", "5월", "6월", "7월", "8월", "9월", "10월", "11월", "12월"];
    var hourtext = ["열두 시", "한 시", "두 시", "세 시", "네 시", "다섯 시", "여섯 시", "일곱 시", "여덟 시", "아홉 시", "열 시", "열한 시", "열두 시", "한 시", "두 시", "세 시", "네 시", "다섯 시", "여섯 시", "일곱 시", "여덟 시", "아홉 시", "열 시", "열한 시", "열두 시"];
    var weatherdesc = ["토네이도", "열대성 폭풍", "허리케인", "천둥번개", "천둥번개", "눈", "진눈깨비", "진눈깨비", "얼어붙은 이슬비", "이슬비", "얼어붙은 비", "비", "비", "돌풍", "눈", "눈", "눈", "헤일", "진눈깨비", "먼지", "안개", "안개", "연기 많은", "거센 바람", "바람", "추움", "구름", "구름", "구름", "구름", "구름", "맑음", "맑음", "약간의 구름", "약간의 구름", "진눈깨비", "더움", "천둥번개", "천둥번개", "천둥번개", "비", "강한 눈", "약한 눈", "강한 눈", "대체로 흐림", "천둥번개", "눈", "천둥번개", "없음"];
}
